<template>
  <div class='business-today container'>
    <h2 class='base-title'>Become the owner of your own cryptocurrency business today</h2>
    <div class='business-today__actions'>
      <base-button  @click.native='$router.push(localePath("/application"))'>
        Create Exchange
      </base-button>
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton }
}
</script>

<style lang='scss' scoped>

.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 60px;
  text-align: center;
  max-width: 553px;

  @media(max-width: 767px) {
    max-width: 302px;
  }


  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.business-today {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__actions {
    position: relative;
    z-index: 1;

    button:first-child {
      margin-right: 25px;

      @media(max-width: 767px) {
        margin-right: 0;
        margin-bottom: 25px;
      }
    }

    button:last-child {
      background-color: #051345;
    }

    @media(max-width: 767px) {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 100%;

      button {
        width: 100%;
        max-width: 320px;
        justify-content: center;
      }
    }
  }
}


</style>
